[#-- This is a very basic main template! In almost every case you will want to create your own template. --]
[#-- This template mainly serves as a starting point for developers and will ensure that provided templates of
 various modules will work without having to add much more. --]
<!doctype html>
<html lang="${cmsfn.language()}">
<head>
    <title>${content.windowTitle!content.title!}</title>

    [#-- cms.page enables the page dialog.  --]
    [@cms.page /]

    [#-- cssFiles from the page definition --]
    [#list def.cssFiles as cssFile][#compress]
        [#assign media = ""]
        [#if cssFile.media?has_content]
            [#assign media = ' media="${cssFile.media}"']
        [/#if]
        [#if cssFile.conditionalComment?has_content]
        <!--[if ${cssFile.conditionalComment}]>
        [/#if]
        <link rel="stylesheet" type="text/css" href="${cssFile.link}"${media} />
        [#if cssFile.conditionalComment?has_content]
        <![endif]-->
        [/#if]
    [/#compress][/#list]


    [#-- jsFiles from the page definition --]
    [#list def.jsFiles as jsFile][#compress]
        <script src="${jsFile.link}"></script>
    [/#compress][/#list]

</head>
<body>
[#if content.title?has_content]
    <h1>${content.title}</h1>
[/#if]

[#-- Renders the content area, which is defined in the TemplateDefinition of the page --]
[#-- Areas can either be of type=list or type=single --]
[@cms.area name="content"/]
</body>
</html>
